# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.authn.AssertionResult.IUserIdStage

Packages that use AssertionResult.IUserIdStage
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.authn
This package has authentication APIs for WebAuthn.

## Uses of AssertionResult.IUserIdStage in net.shibboleth.idp.plugin.authn.webauthn.authn

Classes in net.shibboleth.idp.plugin.authn.webauthn.authn that implement AssertionResult.IUserIdStage
Modifier and Type
Class
Description
`static final class`
`AssertionResult.Builder`
The `AssertionResult` builder.
Methods in net.shibboleth.idp.plugin.authn.webauthn.authn that return AssertionResult.IUserIdStage
Modifier and Type
Method
Description
`AssertionResult.IUserIdStage`
AssertionResult.Builder.`withSignatureCounterValid(boolean sigCounterValid)`
`AssertionResult.IUserIdStage`
AssertionResult.ISignatureCounterValidStage.`withSignatureCounterValid(boolean signatureCounterValid)`
Set if the signature counter is valid.